
Redmine - Feature #1912

Forum topics need "unwatch" ability

2008-09-16 14:01 - Jay Levitt

Status: Closed Start date: 2008-09-16

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

I'm an end user of Cocoabot's Redmine installation.  I had posted a message to their forum a few months back, and now I realize that

there's no way to prevent e-mail notifications on topics I've posted to.  Ack!  That's not only a pain, but it's bound to reduce people's

activity in the community.  Who wants to commit permanently to receiving update e-mails?

I hope this can be fixed soon.  I know that SVN HEAD has unwatch support for issues, but apparently not for forum topics.

Related issues:

Has duplicate Redmine - Feature #3144: Stop watching a thread Closed 2009-04-08

Associated revisions

Revision 1878 - 2008-09-19 17:32 - Jean-Philippe Lang

Adds watch/unwatch functionality at forum topic level (#1912).

Users who create/reply a topic are automatically added as watchers but are now able to unwatch the topic.

Revision 1886 - 2008-09-19 22:14 - Nicolas Chuche

r18633@gaspard (orig r1875):  jplang | 2008-09-17 21:18:31 +0200

reposman: change #log arguments.

r18634@gaspard (orig r1876):  jplang | 2008-09-17 21:38:20 +0200

Slight change on git repository creation command.

r18635@gaspard (orig r1877):  jplang | 2008-09-17 21:47:36 +0200

Make --command option usable on Windows.

r18636@gaspard (orig r1878):  jplang | 2008-09-19 17:32:52 +0200

Adds watch/unwatch functionality at forum topic level (#1912).

Users who create/reply a topic are automatically added as watchers but are now able to unwatch the topic.

r18637@gaspard (orig r1879):  winterheart | 2008-09-19 18:15:49 +0200

update of ru.yml

r18638@gaspard (orig r1880):  winterheart | 2008-09-19 18:17:35 +0200

#1918, translation for zh-tw

r18639@gaspard (orig r1881):  winterheart | 2008-09-19 18:20:45 +0200

fixed #1920, patch for Hungarian language

r18640@gaspard (orig r1882):  winterheart | 2008-09-19 18:23:04 +0200

patch #1922, update for nl.yml

r18641@gaspard (orig r1883):  winterheart | 2008-09-19 18:26:19 +0200

#1923, updated zh.yml

r18642@gaspard (orig r1884):  winterheart | 2008-09-19 18:30:39 +0200

#1924, update for da.yml

r18643@gaspard (orig r1885):  winterheart | 2008-09-19 18:33:08 +0200

#1925, patch for lt.yml

History

#1 - 2008-09-17 18:53 - Jean-Philippe Lang

Actually, you can watch/unwatch an entire forum but not a single topic.

When a message is added to an existing topic, all these users are notified:

project members (depending on their preferences)

users who watch the forum

users who have ever posted a message in the topic

Instead, we could add watch/unwatch functionality at topic level and automatically add as watchers the users who reply to the topic. Notifications

would be sent to:

project members (depending on their preferences)
users who watch the forum

users who watch the topic

This way, you could unwatch a topic even if you posted a message into it.

What do you think ?

#2 - 2008-09-19 14:02 - Jay Levitt

Yep, I think that's the right way to do it - and, to make it seamless, you could

(a) have a checkbox, defaulted to "yes", to watch the topic when you post to it, and

(b) have an upgrade script set the per-topic checkboxes based on who's posted so far (so that, when you upgrade, everyone who was getting those

notifications so far will still get them).

Other forums (Invision and, I think, vBulletin) have the per-topic watches set up that way, and it works well.

#3 - 2008-09-19 17:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Functionality added in r1878.

(b) is done via a regular database migration.

(a) is not implemented yet but users can easily unwatch the topic by clicking the Unwatch link. It may be added in the future.
